Encrypt API for Inquiring Card Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Card Inquiry API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1090",
  "requestDateTime": "20240408101000",
  "clientTxnId": "BDO_CardInquiry",
  "fromDate": "10/11/2023",
  "toDate": "15/11/2023",
  "last4Digits": "4844",
  "urn": "10",
  "customerId": "9112"
}
'
Sample response
{
  "token": "EC6rhUdDlrD32kMLQbzblBAP1rj4p+Cv6uH+J/ORjHTE6jNR2O2YhLUj4AWB5ZeQuQ/BMuvdRLlAoItslB3zKmUMEZZWiJ9I3HUIBPyra5XMx3u8zI9x0sht2MBitT2HGlKdyWzl6RsNEyX+SNQyVG4bMyH02kCmEXnLT7rSGr+Qal6HSqfFDKT6uhEF4Lhc4NPjR6uxM1cnfzV6qJkgW2DbA1dVgpo+ayuwie0vdnYj3izWJdPCQSvNaB650Vs3pZUe2lETGHv2sdSNqkiPNg=="
}

Request parameters

Body Params
const
enum
required

This parameter must contain the message code.

Allowed:
string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the date from which the transactions required.

string
required

This parameter must contain the date up to which the transactions required.

string
required

This parameter must contain the last four digits of the card.

string
required

This parameter must contain the customer unique reference number.

string
required

This parameter must contain the customer ID.

Headers
string
required

This parameter must contain the API key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json